From 7db2d9a6cde3ca644f4041f76f41ba2304f58117 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Laur=C3=A9line=20Gu=C3=A9rin?= <zebuline@entrouvert.com>
Date: Tue, 27 Jul 2021 16:21:10 +0200
Subject: [PATCH 1/2] misc: apply pyupgrade (#55868)

---
 combo/apps/assets/migrations/0001_initial.py  |  2 -
 .../assets/migrations/0002_key_maxlength.py   |  3 -
 combo/apps/assets/templatetags/assets.py      |  2 +-
 combo/apps/assets/views.py                    | 24 ++---
 combo/apps/calendar/forms.py                  |  4 +-
 .../apps/calendar/migrations/0001_initial.py  |  3 -
 .../0002_bookingcalendar_days_displayed.py    |  3 -
 combo/apps/calendar/models.py                 |  8 +-
 combo/apps/calendar/utils.py                  | 10 +-
 combo/apps/calendar/views.py                  |  2 +-
 .../apps/dashboard/migrations/0001_initial.py |  3 -
 .../migrations/0002_auto_20180105_0846.py     |  3 -
 combo/apps/dashboard/models.py                |  2 +-
 combo/apps/dashboard/views.py                 |  2 +-
 combo/apps/dataviz/forms.py                   |  2 +-
 combo/apps/dataviz/migrations/0001_initial.py |  3 -
 .../0002_gauge_jsonp_data_source.py           |  3 -
 .../0003_cubesbarchart_cubestable.py          |  3 -
 .../migrations/0004_auto_20160108_1048.py     |  3 -
 .../migrations/0005_auto_20160928_1152.py     |  3 -
 .../apps/dataviz/migrations/0006_chartcell.py |  3 -
 .../migrations/0007_auto_20170214_2006.py     |  3 -
 .../migrations/0008_auto_20190328_0857.py     |  2 -
 .../migrations/0009_auto_20190617_1214.py     |  2 -
 .../migrations/0010_auto_20190328_1111.py     |  2 -
 .../migrations/0011_auto_20200813_1100.py     |  2 -
 .../migrations/0012_auto_20201126_1557.py     |  4 +-
 .../migrations/0013_update_chartng_cells.py   |  2 -
 .../migrations/0014_auto_20201130_1534.py     |  2 -
 .../migrations/0015_auto_20201202_1424.py     |  2 -
 .../migrations/0016_auto_20201215_1624.py     |  2 -
 combo/apps/dataviz/models.py                  | 12 +--
 combo/apps/family/migrations/0001_initial.py  |  3 -
 ..._familyinfoscell_restricted_to_unlogged.py |  3 -
 .../0003_familyinfoscell_extra_css_class.py   |  3 -
 ...4_familyinfoscell_last_update_timestamp.py |  3 -
 combo/apps/family/views.py                    |  2 +-
 combo/apps/fargo/migrations/0001_initial.py   |  3 -
 ...002_recentdocumentscell_extra_css_class.py |  3 -
 ...centdocumentscell_last_update_timestamp.py |  3 -
 .../0004_recentdocumentscell_fargo_site.py    |  3 -
 combo/apps/fargo/models.py                    |  4 +-
 combo/apps/gallery/migrations/0001_initial.py |  3 -
 .../gallery/migrations/0002_image_title.py    |  3 -
 .../migrations/0003_gallerycell_title.py      |  3 -
 combo/apps/gallery/views.py                   |  4 +-
 combo/apps/kb/migrations/0001_initial.py      |  2 -
 .../kb/migrations/0002_auto_20200203_1137.py  |  2 -
 combo/apps/kb/models.py                       |  2 +-
 combo/apps/lingo/forms.py                     | 10 +-
 .../commands/notify_new_remote_invoices.py    |  1 -
 combo/apps/lingo/manager_views.py             |  4 +-
 combo/apps/lingo/migrations/0001_initial.py   |  3 -
 .../apps/lingo/migrations/0002_transaction.py |  3 -
 .../migrations/0003_auto_20150306_1047.py     |  3 -
 .../0004_basketitem_notification_date.py      |  3 -
 .../migrations/0005_auto_20150307_1242.py     |  3 -
 .../migrations/0006_transaction_status.py     |  3 -
 .../migrations/0007_lingobasketlinkcell.py    |  3 -
 .../migrations/0008_auto_20150908_1538.py     |  3 -
 .../migrations/0009_auto_20150917_1456.py     |  3 -
 .../0010_regie_payment_min_amount.py          |  3 -
 .../migrations/0011_auto_20151029_1535.py     |  3 -
 .../migrations/0012_auto_20151130_1047.py     |  3 -
 .../migrations/0013_transaction_amount.py     |  3 -
 .../migrations/0014_auto_20160218_1455.py     |  3 -
 .../migrations/0015_auto_20160309_2150.py     |  3 -
 .../migrations/0016_auto_20160319_2028.py     |  3 -
 .../migrations/0017_auto_20160327_0831.py     |  3 -
 .../migrations/0018_auto_20160527_0638.py     |  3 -
 .../migrations/0019_auto_20160531_1336.py     |  3 -
 .../migrations/0020_auto_20160606_1803.py     |  3 -
 .../migrations/0021_transactionoperation.py   |  3 -
 .../lingo/migrations/0022_regie_is_default.py |  3 -
 .../migrations/0023_auto_20160928_1152.py     |  3 -
 .../0024_selfdeclaredinvoicepayment.py        |  3 -
 .../migrations/0025_auto_20161206_1713.py     |  3 -
 .../migrations/0026_auto_20161215_1447.py     |  3 -
 .../migrations/0027_auto_20170214_2006.py     |  3 -
 .../migrations/0028_tipipaymentformcell.py    |  3 -
 .../migrations/0029_auto_20170528_1334.py     |  3 -
 ...030_transaction_to_be_paid_remote_items.py |  3 -
 .../0031_basketitem_waiting_date.py           |  2 -
 .../0032_basketitem_capture_date.py           |  2 -
 .../migrations/0033_auto_20181204_2241.py     |  3 -
 .../migrations/0034_auto_20190426_1159.py     |  2 -
 .../migrations/0035_auto_20190426_1124.py     |  2 -
 .../migrations/0036_auto_20190426_1202.py     |  2 -
 .../0037_regie_transaction_options.py         |  2 -
 .../migrations/0038_hide_cell_if_empty.py     |  2 -
 .../0039_transaction_transaction_date.py      |  2 -
 .../migrations/0040_auto_20200608_1222.py     |  2 -
 ...0041_regie_can_pay_only_one_basket_item.py |  2 -
 combo/apps/lingo/models.py                    | 29 +++---
 combo/apps/lingo/utils.py                     |  1 -
 combo/apps/lingo/views.py                     | 70 +++++++-------
 combo/apps/maps/forms.py                      |  6 +-
 combo/apps/maps/manager_views.py              | 22 ++---
 combo/apps/maps/migrations/0001_initial.py    |  3 -
 combo/apps/maps/migrations/0002_map.py        |  3 -
 .../migrations/0003_auto_20170603_1653.py     |  3 -
 .../maps/migrations/0004_map_initial_state.py |  3 -
 .../migrations/0005_auto_20180212_1742.py     |  3 -
 .../migrations/0006_auto_20180627_0841.py     |  3 -
 .../migrations/0007_auto_20180706_1345.py     |  2 -
 .../maps/migrations/0008_map_layer_options.py |  5 +-
 .../maps/migrations/0009_map_layer_kind.py    |  2 -
 .../maps/migrations/0010_map_layer_opacity.py |  3 -
 .../migrations/0011_map_layer_set_slug.py     |  3 -
 .../migrations/0012_map_layer_slug_unicity.py |  3 -
 .../0013_geojson_query_parameter.py           |  3 -
 .../migrations/0014_geojson_circle_param.py   |  3 -
 combo/apps/maps/models.py                     |  6 +-
 .../notifications/migrations/0001_initial.py  |  3 -
 ...notificationscell_last_update_timestamp.py |  3 -
 .../migrations/0003_notification_origin.py    |  3 -
 .../migrations/0004_auto_20180316_1026.py     |  4 +-
 .../migrations/0005_auto_20180324_0025.py     |  2 -
 combo/apps/notifications/models.py            |  4 +-
 combo/apps/pwa/forms.py                       |  2 +-
 combo/apps/pwa/manager_views.py               | 12 +--
 combo/apps/pwa/migrations/0001_initial.py     |  2 -
 combo/apps/pwa/migrations/0002_pwasettings.py |  2 -
 .../pwa/migrations/0003_pwanavigationentry.py |  2 -
 .../0004_pwasettings_application_icon.py      |  2 -
 .../0005_pwasettings_application_name.py      |  2 -
 .../pwa/migrations/0006_auto_20190628_1042.py |  2 -
 combo/apps/pwa/models.py                      |  5 +-
 combo/apps/search/engines.py                  |  2 +-
 combo/apps/search/forms.py                    |  2 +-
 combo/apps/search/migrations/0001_initial.py  |  3 -
 .../migrations/0002_auto_20180720_1511.py     |  3 -
 .../migrations/0003_create_search_services.py |  3 -
 .../0004_remove_searchcell__search_service.py |  3 -
 .../migrations/0005_searchcell_autofocus.py   |  2 -
 .../search/migrations/0006_indexedcell.py     |  2 -
 .../apps/search/migrations/0007_french_fts.py |  2 -
 .../0008_searchcell_input_placeholder.py      |  2 -
 combo/apps/search/models.py                   |  4 +-
 combo/apps/wcs/context_processors.py          |  9 +-
 combo/apps/wcs/forms.py                       | 10 +-
 combo/apps/wcs/migrations/0001_initial.py     |  3 -
 .../wcs/migrations/0002_auto_20150217_1402.py |  3 -
 .../wcs/migrations/0003_auto_20150218_1151.py |  3 -
 .../wcs/migrations/0004_auto_20150218_1154.py |  3 -
 .../wcs/migrations/0005_auto_20150401_0758.py |  3 -
 .../wcs/migrations/0006_categoriescell.py     |  3 -
 .../migrations/0007_trackingcodeinputcell.py  |  3 -
 .../0008_wcsformcell_cached_json.py           |  3 -
 .../0009_remove_wcscategorycell_link_page.py  |  3 -
 .../wcs/migrations/0010_auto_20151029_1535.py |  3 -
 .../wcs/migrations/0011_auto_20151215_1121.py |  3 -
 ...012_wcsformsofcategorycell_manual_order.py |  3 -
 .../wcs/migrations/0013_auto_20160928_1152.py |  3 -
 .../wcs/migrations/0014_auto_20170214_2006.py |  3 -
 .../0015_wcscurrentformscell_categories.py    |  2 -
 .../0016_backofficesubmissioncell.py          |  2 -
 .../wcs/migrations/0017_wcscareformscell.py   |  2 -
 .../0018_wcscurrentdraftscell_categories.py   |  3 -
 ...0019_wcscurrentformscell_include_drafts.py |  3 -
 combo/apps/wcs/migrations/0020_cards.py       |  3 -
 combo/apps/wcs/migrations/0021_card.py        |  3 -
 combo/apps/wcs/migrations/0022_cards_user.py  |  3 -
 .../apps/wcs/migrations/0023_card_info_id.py  |  3 -
 .../wcs/migrations/0024_card_info_user.py     |  3 -
 .../migrations/0025_submission_categories.py  |  3 -
 .../0028_wcscardscell_without_user.py         |  2 -
 .../wcs/migrations/0029_cards_custom_title.py |  3 -
 .../migrations/0032_forms_user_can_access.py  |  3 -
 combo/apps/wcs/models.py                      | 33 ++++---
 combo/apps/wcs/views.py                       |  6 +-
 combo/data/fields.py                          | 23 +++--
 combo/data/forms.py                           | 10 +-
 combo/data/library.py                         |  2 +-
 combo/data/management/commands/cron.py        |  1 -
 combo/data/management/commands/export_site.py |  2 +-
 combo/data/management/commands/import_site.py |  4 +-
 combo/data/migrations/0001_initial.py         |  3 -
 .../migrations/0002_auto_20150217_1327.py     |  3 -
 combo/data/migrations/0003_menucell.py        |  3 -
 combo/data/migrations/0004_menucell_depth.py  |  3 -
 .../migrations/0005_auto_20150226_0903.py     |  3 -
 combo/data/migrations/0006_linkcell.py        |  3 -
 .../migrations/0007_auto_20150529_1003.py     |  3 -
 .../migrations/0008_auto_20150529_1504.py     |  3 -
 .../migrations/0009_auto_20150529_2247.py     |  3 -
 combo/data/migrations/0010_feedcell.py        |  3 -
 .../migrations/0011_auto_20151028_1047.py     |  3 -
 .../migrations/0012_auto_20151029_1535.py     |  3 -
 combo/data/migrations/0013_parameterscell.py  |  3 -
 .../migrations/0014_menucell_initial_level.py |  3 -
 combo/data/migrations/0015_feedcell_title.py  |  3 -
 combo/data/migrations/0016_feedcell_limit.py  |  3 -
 .../migrations/0017_menucell_root_page.py     |  3 -
 .../data/migrations/0018_parentcontentcell.py |  3 -
 .../migrations/0019_create_parent_cells.py    |  3 -
 .../migrations/0020_auto_20160928_1152.py     |  3 -
 combo/data/migrations/0021_jsoncell.py        |  3 -
 .../migrations/0022_auto_20170214_2006.py     |  3 -
 .../migrations/0023_auto_20170313_1541.py     |  3 -
 combo/data/migrations/0024_configjsoncell.py  |  3 -
 .../migrations/0025_jsoncell_varnames_str.py  |  3 -
 .../migrations/0026_jsoncell_force_async.py   |  3 -
 combo/data/migrations/0027_page_picture.py    |  3 -
 .../data/migrations/0028_jsoncell_timeout.py  |  3 -
 .../migrations/0029_auto_20171022_1242.py     |  3 -
 .../migrations/0030_externallinksearchitem.py |  3 -
 combo/data/migrations/0031_remove_blurps.py   |  3 -
 .../data/migrations/0032_page_description.py  |  3 -
 .../migrations/0033_auto_20180401_1300.py     |  2 -
 combo/data/migrations/0034_redirect.py        |  2 -
 .../migrations/0035_page_related_cells.py     |  2 -
 combo/data/migrations/0036_page_sub_slug.py   |  2 -
 .../migrations/0037_auto_20190701_2118.py     |  2 -
 .../0038_increase_jsoncell_url_max_length.py  |  2 -
 combo/data/migrations/0039_link_list_cell.py  |  3 -
 .../migrations/0040_auto_20200119_1017.py     |  2 -
 .../migrations/0041_auto_20200130_1619.py     |  3 -
 .../0042_page_creation_timestamp.py           |  2 -
 .../0043_delete_externallinksearchitem.py     |  2 -
 combo/data/migrations/0044_validity_info.py   |  5 +-
 combo/data/migrations/0045_link_list_limit.py |  2 -
 combo/data/models.py                          | 64 ++++++-------
 combo/data/utils.py                           |  8 +-
 combo/manager/fields.py                       |  3 +-
 combo/manager/forms.py                        | 12 +--
 combo/manager/views.py                        | 40 ++++----
 combo/profile/__init__.py                     |  1 -
 combo/profile/migrations/0001_initial.py      |  3 -
 combo/profile/migrations/0002_profilecell.py  |  2 -
 combo/profile/models.py                       |  4 +-
 combo/profile/utils.py                        |  2 +-
 combo/public/templatetags/combo.py            |  7 +-
 combo/public/views.py                         | 12 +--
 combo/urls_utils.py                           |  4 +-
 combo/utils/forms.py                          |  8 +-
 combo/utils/requests_wrapper.py               |  2 +-
 setup.py                                      |  3 +-
 tests/settings.py                             |  2 +-
 tests/test_assets.py                          | 12 +--
 tests/test_calendar.py                        |  2 +-
 tests/test_cells.py                           | 36 +++----
 tests/test_cron.py                            |  3 +-
 tests/test_dashboard.py                       |  2 +-
 tests/test_dataviz.py                         | 78 +++++++--------
 tests/test_ensure_jsonbfields.py              |  2 -
 tests/test_fargo.py                           |  2 +-
 tests/test_gallery_cell.py                    |  1 -
 tests/test_lingo_cells.py                     |  6 +-
 tests/test_lingo_manager.py                   |  6 +-
 tests/test_lingo_payment.py                   |  4 +-
 tests/test_lingo_remote_regie.py              |  8 +-
 tests/test_manager.py                         | 25 +++--
 tests/test_maps_cells.py                      |  3 +-
 tests/test_maps_manager.py                    |  7 +-
 tests/test_notification.py                    |  4 +-
 tests/test_pages.py                           | 26 ++---
 tests/test_profile.py                         |  2 +-
 tests/test_public.py                          |  4 +-
 tests/test_publik.py                          |  2 +-
 tests/test_pwa.py                             |  2 +-
 tests/test_requests.py                        |  7 +-
 tests/test_search.py                          | 12 +--
 tests/test_spooler.py                         |  2 +-
 tests/test_utils.py                           |  2 +-
 tests/test_wcs.py                             | 96 +++++++++----------
 tests/test_wcs_templatetags.py                | 10 +-
 267 files changed, 430 insertions(+), 977 deletions(-)

diff --git a/combo/apps/assets/migrations/0002_key_maxlength.py b/combo/apps/assets/migrations/0002_key_maxlength.py
index cfd96627..64e78ebe 100644
--- a/combo/apps/assets/migrations/0002_key_maxlength.py
+++ b/combo/apps/assets/migrations/0002_key_maxlength.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/assets/templatetags/assets.py b/combo/apps/assets/templatetags/assets.py
index 4c08efdf..e974c1f0 100644
--- a/combo/apps/assets/templatetags/assets.py
+++ b/combo/apps/assets/templatetags/assets.py
@@ -38,7 +38,7 @@ def asset_url(*args, **kwargs):
             asset = asset_object
             break
 
-        if isinstance(asset_object, six.string_types):
+        if isinstance(asset_object, str):
             try:
                 asset = Asset.objects.get(key=asset_object).asset
                 break
diff --git a/combo/apps/assets/views.py b/combo/apps/assets/views.py
index 9864b5dd..09aa60d5 100644
--- a/combo/apps/assets/views.py
+++ b/combo/apps/assets/views.py
@@ -39,7 +39,7 @@ from .forms import AssetsImportForm, AssetUploadForm
 from .models import Asset
 
 
-class CkEditorAsset(object):
+class CkEditorAsset:
     def __init__(self, filepath):
         self.filepath = filepath
         self.name = os.path.basename(filepath)
@@ -69,7 +69,7 @@ class CkEditorAsset(object):
         return ckeditor.views.is_image(self.src)
 
 
-class SlotAsset(object):
+class SlotAsset:
     def __init__(self, key=None, name=None, asset_type='image', asset=None):
         self.key = key
         self.name = name
@@ -98,7 +98,7 @@ class SlotAsset(object):
 
     @classmethod
     def get_assets(cls):
-        assets = dict([(x.key, x) for x in Asset.objects.all()])
+        assets = {x.key: x for x in Asset.objects.all()}
         uniq_slots = {}
         uniq_slots.update(settings.COMBO_ASSET_SLOTS)
         cells = CellBase.get_cells(select_related={'__all__': ['page'], 'data_linkcell': ['link_page']})
@@ -131,7 +131,7 @@ class Assets(ListView):
         return files
 
     def get_context_data(self, **kwargs):
-        context = super(Assets, self).get_context_data(**kwargs)
+        context = super().get_context_data(**kwargs)
         context['query'] = self.request.GET.get('q') or ''
         return context
 
@@ -170,7 +170,7 @@ class AssetUpload(FormView):
         ckeditor_upload_view = ckeditor.views.ImageUploadView()
         self.request.GET = {'CKEditorFuncNum': '-'}  # hack
         ckeditor_upload_view.post(self.request)
-        return super(AssetUpload, self).form_valid(form)
+        return super().form_valid(form)
 
     def get_success_url(self):
         return Assets(request=self.request).get_anchored_url(name=self.request.FILES['upload'].name)
@@ -204,7 +204,7 @@ class AssetOverwrite(FormView):
                 self.request,
                 _('You have to upload a file with the same extension (%(ext)s).') % {'ext': ext_orig},
             )
-            return super(AssetOverwrite, self).form_valid(form)
+            return super().form_valid(form)
 
         default_storage.delete(img_orig)
         if getattr(settings, 'CKEDITOR_IMAGE_BACKEND', None):
@@ -220,7 +220,7 @@ class AssetOverwrite(FormView):
         else:
             if backend.should_create_thumbnail(saved_path):
                 backend.create_thumbnail(saved_path)
-        return super(AssetOverwrite, self).form_valid(form)
+        return super().form_valid(form)
 
     def get_success_url(self):
         img_orig = self.request.GET['img']
@@ -254,7 +254,7 @@ class SlotAssets(ListView):
 
     def get_assets(self, cell):
         asset_slots = cell.get_asset_slots()
-        assets = dict([(x.key, x) for x in Asset.objects.filter(key__in=asset_slots.keys())])
+        assets = {x.key: x for x in Asset.objects.filter(key__in=asset_slots.keys())}
         for key, value in asset_slots.items():
             yield SlotAsset(
                 key,
@@ -293,7 +293,7 @@ class SlotAssetUpload(FormView):
             self.asset = Asset(key=self.kwargs['key'])
         self.asset.asset = self.request.FILES['upload']
         self.asset.save()
-        return super(SlotAssetUpload, self).form_valid(form)
+        return super().form_valid(form)
 
     def get_success_url(self):
         if self.request.GET.get('cell_reference'):
@@ -349,9 +349,9 @@ class AssetsImport(FormView):
             import_assets(form.cleaned_data['assets_file'], overwrite)
         except tarfile.TarError:
             messages.error(self.request, _('The assets file is not valid.'))
-            return super(AssetsImport, self).form_valid(form)
+            return super().form_valid(form)
         messages.success(self.request, _('The assets file has been imported.'))
-        return super(AssetsImport, self).form_valid(form)
+        return super().form_valid(form)
 
 
 assets_import = AssetsImport.as_view()
@@ -392,7 +392,7 @@ class AssetsExportSize(TemplateView):
     template_name = 'combo/manager_assets_export_size.html'
 
     def get_context_data(self, **kwargs):
-        context = super(AssetsExportSize, self).get_context_data(**kwargs)
+        context = super().get_context_data(**kwargs)
         media_prefix = default_storage.path('')
         computed_size = 0
         for basedir, dirnames, filenames in os.walk(media_prefix):
diff --git a/combo/apps/calendar/forms.py b/combo/apps/calendar/forms.py
index e17d876b..a6b87c29 100644
--- a/combo/apps/calendar/forms.py
+++ b/combo/apps/calendar/forms.py
@@ -37,7 +37,7 @@ class BookingCalendarForm(forms.ModelForm):
         )
 
     def __init__(self, *args, **kwargs):
-        super(BookingCalendarForm, self).__init__(*args, **kwargs)
+        super().__init__(*args, **kwargs)
         agenda_references = get_agendas()
         formdef_references = get_wcs_options('/api/formdefs/')
         self.fields['agenda_reference'].widget = forms.Select(choices=agenda_references)
@@ -47,7 +47,7 @@ class BookingCalendarForm(forms.ModelForm):
 class BookingForm(forms.Form):
     def __init__(self, *args, **kwargs):
         self.cell = kwargs.pop('cell')
-        super(BookingForm, self).__init__(*args, **kwargs)
+        super().__init__(*args, **kwargs)
         self.cleaned_data = {}
 
     def is_valid(self):
diff --git a/combo/apps/calendar/migrations/0001_initial.py b/combo/apps/calendar/migrations/0001_initial.py
index a7891da0..12f08f98 100644
--- a/combo/apps/calendar/migrations/0001_initial.py
+++ b/combo/apps/calendar/migrations/0001_initial.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 import datetime
 
 from django.db import migrations, models
diff --git a/combo/apps/calendar/migrations/0002_bookingcalendar_days_displayed.py b/combo/apps/calendar/migrations/0002_bookingcalendar_days_displayed.py
index a7f8089d..4d0edc78 100644
--- a/combo/apps/calendar/migrations/0002_bookingcalendar_days_displayed.py
+++ b/combo/apps/calendar/migrations/0002_bookingcalendar_days_displayed.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/calendar/models.py b/combo/apps/calendar/models.py
index a0669df7..c737926a 100644
--- a/combo/apps/calendar/models.py
+++ b/combo/apps/calendar/models.py
@@ -59,16 +59,12 @@ class BookingCalendar(CellBase):
         return settings.BOOKING_CALENDAR_CELL_ENABLED and is_chrono_enabled() and is_wcs_enabled()
 
     def is_visible(self, **kwargs):
-        return (
-            self.agenda_reference
-            and self.formdef_reference
-            and super(BookingCalendar, self).is_visible(**kwargs)
-        )
+        return self.agenda_reference and self.formdef_reference and super().is_visible(**kwargs)
 
     def get_cell_extra_context(self, context):
         if context.get('placeholder_search_mode'):
             return {}
-        extra_context = super(BookingCalendar, self).get_cell_extra_context(context)
+        extra_context = super().get_cell_extra_context(context)
         events_data = get_chrono_events(self.agenda_reference, not (context.get('synchronous')))
         extra_context.update(
             get_calendar_context_vars(context['request'], extra_context['cell'], events_data)
diff --git a/combo/apps/calendar/utils.py b/combo/apps/calendar/utils.py
index f2431a2b..a5ec2241 100644
--- a/combo/apps/calendar/utils.py
+++ b/combo/apps/calendar/utils.py
@@ -128,7 +128,7 @@ def get_form_url_with_params(cell, data):
     return url
 
 
-class DaySlot(object):
+class DaySlot:
     def __init__(self, date_time, available, exist=True):
         self.date_time = localtime(make_aware(date_time))
         self.available = available
@@ -142,7 +142,7 @@ class DaySlot(object):
         return '%s' % self.date_time.isoformat()
 
 
-class WeekDay(object):
+class WeekDay:
     def __init__(self, date):
         self.date = date
         self.slots = []
@@ -168,7 +168,7 @@ class WeekDay(object):
         return max(self.slots, key=lambda x: x.date_time.time())
 
 
-class Calendar(object):
+class Calendar:
     def __init__(self, offset, days_displayed, min_duration):
         self.offset = offset
         self.days_displayed = days_displayed
@@ -227,7 +227,7 @@ class Calendar(object):
         return day.get_slot(slot.time())
 
     def get_minimum_slot(self):
-        return min([day.get_minimum_slot().date_time.time() for day in self.days])
+        return min(day.get_minimum_slot().date_time.time() for day in self.days)
 
     def get_maximum_slot(self):
-        return max([day.get_maximum_slot().date_time.time() for day in self.days])
+        return max(day.get_maximum_slot().date_time.time() for day in self.days)
diff --git a/combo/apps/calendar/views.py b/combo/apps/calendar/views.py
index 13fce662..2296494a 100644
--- a/combo/apps/calendar/views.py
+++ b/combo/apps/calendar/views.py
@@ -49,7 +49,7 @@ class CalendarContentAjaxView(DetailView):
     template_name = 'calendar/booking_calendar_content.html'
 
     def get_context_data(self, **kwargs):
-        context = super(CalendarContentAjaxView, self).get_context_data(**kwargs)
+        context = super().get_context_data(**kwargs)
         context['cell'] = self.object
         events_data = get_chrono_events(self.object.agenda_reference, context.get('synchronous'))
         context.update(get_calendar_context_vars(self.request, self.object, events_data))
diff --git a/combo/apps/dashboard/migrations/0001_initial.py b/combo/apps/dashboard/migrations/0001_initial.py
index a7601d44..60dfcce0 100644
--- a/combo/apps/dashboard/migrations/0001_initial.py
+++ b/combo/apps/dashboard/migrations/0001_initial.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.conf import settings
 from django.db import migrations, models
 
diff --git a/combo/apps/dashboard/migrations/0002_auto_20180105_0846.py b/combo/apps/dashboard/migrations/0002_auto_20180105_0846.py
index f9eead41..0de145d2 100644
--- a/combo/apps/dashboard/migrations/0002_auto_20180105_0846.py
+++ b/combo/apps/dashboard/migrations/0002_auto_20180105_0846.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/dashboard/models.py b/combo/apps/dashboard/models.py
index 9adcffd9..e7e71440 100644
--- a/combo/apps/dashboard/models.py
+++ b/combo/apps/dashboard/models.py
@@ -54,7 +54,7 @@ class DashboardCell(CellBase):
             for x in ValidityInfo.objects.filter(invalid_since__lt=now() - datetime.timedelta(days=2))
         }
         context['tiles'] = [x for x in tiles if (x.cell_type_id, x.cell_pk) not in validity_info_dict]
-        return super(DashboardCell, self).render(context)
+        return super().render(context)
 
 
 class Tile(models.Model):
diff --git a/combo/apps/dashboard/views.py b/combo/apps/dashboard/views.py
index ece4146f..14cf8cc2 100644
--- a/combo/apps/dashboard/views.py
+++ b/combo/apps/dashboard/views.py
@@ -158,7 +158,7 @@ def dashboard_auto_tile(request, *args, **kwargs):
 def dashboard_reorder_tiles(request, *args, **kwargs):
     dashboard = DashboardCell.objects.filter(page__snapshot__isnull=True)[0]
     new_order = request.GET['order'].split(',')
-    tiles = dict((str(x.id), x) for x in Tile.objects.filter(id__in=new_order))
+    tiles = {str(x.id): x for x in Tile.objects.filter(id__in=new_order)}
     for i, tile_id in enumerate(new_order):
         tile = tiles.get(tile_id)
         if tile.user != request.user:
diff --git a/combo/apps/dataviz/forms.py b/combo/apps/dataviz/forms.py
index e312665e..cf724a94 100644
--- a/combo/apps/dataviz/forms.py
+++ b/combo/apps/dataviz/forms.py
@@ -34,7 +34,7 @@ class ChartForm(forms.ModelForm):
         fields = ('title', 'url')
 
     def __init__(self, *args, **kwargs):
-        super(ChartForm, self).__init__(*args, **kwargs)
+        super().__init__(*args, **kwargs)
         available_charts = []
         for site_key, site_dict in settings.KNOWN_SERVICES.get('bijoe').items():
             result = requests.get(
diff --git a/combo/apps/dataviz/migrations/0001_initial.py b/combo/apps/dataviz/migrations/0001_initial.py
index b35e7137..f4620cb0 100644
--- a/combo/apps/dataviz/migrations/0001_initial.py
+++ b/combo/apps/dataviz/migrations/0001_initial.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/dataviz/migrations/0002_gauge_jsonp_data_source.py b/combo/apps/dataviz/migrations/0002_gauge_jsonp_data_source.py
index 6f70bd17..c9c41e83 100644
--- a/combo/apps/dataviz/migrations/0002_gauge_jsonp_data_source.py
+++ b/combo/apps/dataviz/migrations/0002_gauge_jsonp_data_source.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/dataviz/migrations/0003_cubesbarchart_cubestable.py b/combo/apps/dataviz/migrations/0003_cubesbarchart_cubestable.py
index 9660760e..401c32ca 100644
--- a/combo/apps/dataviz/migrations/0003_cubesbarchart_cubestable.py
+++ b/combo/apps/dataviz/migrations/0003_cubesbarchart_cubestable.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/dataviz/migrations/0004_auto_20160108_1048.py b/combo/apps/dataviz/migrations/0004_auto_20160108_1048.py
index 2d3c85f5..c5a34058 100644
--- a/combo/apps/dataviz/migrations/0004_auto_20160108_1048.py
+++ b/combo/apps/dataviz/migrations/0004_auto_20160108_1048.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/dataviz/migrations/0005_auto_20160928_1152.py b/combo/apps/dataviz/migrations/0005_auto_20160928_1152.py
index c2193fab..19a19900 100644
--- a/combo/apps/dataviz/migrations/0005_auto_20160928_1152.py
+++ b/combo/apps/dataviz/migrations/0005_auto_20160928_1152.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/dataviz/migrations/0006_chartcell.py b/combo/apps/dataviz/migrations/0006_chartcell.py
index 2e6a01c9..1280b78e 100644
--- a/combo/apps/dataviz/migrations/0006_chartcell.py
+++ b/combo/apps/dataviz/migrations/0006_chartcell.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 from django.db import migrations, models
 
 
diff --git a/combo/apps/dataviz/migrations/0007_auto_20170214_2006.py b/combo/apps/dataviz/migrations/0007_auto_20170214_2006.py
index ed19c432..d31270d3 100644
--- a/combo/apps/dataviz/migrations/0007_auto_20170214_2006.py
+++ b/combo/apps/dataviz/migrations/0007_auto_20170214_2006.py
@@ -1,6 +1,3 @@
-# -*- coding: utf-8 -*-
-from __future__ import unicode_literals
-
 import datetime
 
 from django.db import migrations, models
